Public Class Lyzar
    'Deklarace vlastnosti tridy Lyzar pomoci
    'automaticky implementovanych vlastnosti
    Public Property KrestniJmeno() As String
    Public Property Prijmeni() As String
    Public Property Vek() As String
    Public Property Pohlavi As String

    Public Function Skupina() As String
        'Vytvoreni metody Skupina pro tridu Lyzar
        'Deklarace lokalni retezcove promenne pro ulozeni vysledku
        Dim vysledek As String = ""
        'Vyuziti struktury Select Case a vlastnosti Vek k prirazeni
        'do skupiny v zavislosti na veku
        Select Case CInt(Vek)
            Case Is <= 12
                vysledek = "Nepřiřazen/a (příliš mladý pro tým)"
            Case 13 To 16
                'A pote vyuziti vlastnosti Pohlavi k prirazeni
                'do skupiny v zavislosti na pohlavi
                If Pohlavi.ToUpper = "M" Then
                    vysledek = "Modrá bouře"
                ElseIf Pohlavi.ToUpper = "Z" Then
                    vysledek = "Růžová bouře"
                End If
            Case 17 To 19
                If Pohlavi.ToUpper = "M" Then
                    vysledek = "Modré lasery"
                ElseIf Pohlavi.ToUpper = "Z" Then
                    vysledek = "Růžové lasery"
                End If
            Case Is >= 20
                vysledek = "Nepřiřazen/a (příliš starý pro tým)"
        End Select

        'Metoda vraci vyslednou zpravu v promenne vysledek
        Return vysledek
    End Function

End Class

Public Class Student
    Inherits Lyzar
    Public Property Zustatek As Double
    Public Property Certifikat As Boolean
End Class
